Last Comment Bug 621347 - [SeaMonkey, WINNT 5.2, Debug] mochitests-1: intermittent "test_ws_basic_tests.html | Test timed out"
: [SeaMonkey, WINNT 5.2, Debug] mochitests-1: intermittent "test_ws_basic_tests...
Status: RESOLVED FIXED
[SeaMonkey "orange" issue moved to bu...
:
Product: Core
Classification: Components
Component: Networking: WebSockets (show other bugs)
: Trunk
: All All
: -- normal (vote)
: mozilla2.0b9
Assigned To: Serge Gautherie (:sgautherie)
:
Mentors:
http://mxr.mozilla.org/mozilla-centra...
Depends on: 574070
Blocks: 621390 736325 562681 572975 744663
  Show dependency treegraph
 
Reported: 2010-12-24 17:22 PST by Serge Gautherie (:sgautherie)
Modified: 2012-04-12 13:40 PDT (History)
2 users (show)
bugzillamozillaorg_serge_20140323: in‑testsuite+
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments
(Av1) s/ok/is/ typo fix from bug 562681 [Checked in: Comment 9] (993 bytes, patch)
2010-12-25 02:42 PST, Serge Gautherie (:sgautherie)
bugs: review+
Details | Diff | Review
(Bv1) Add/Re-enable '.wasClean' checks from (bug 573227 ->) bug 572975 [Checked in: Comment 13] (3.52 KB, patch)
2010-12-25 03:03 PST, Serge Gautherie (:sgautherie)
bugs: review+
Details | Diff | Review
(Cv1) Document/Improve code, somewhat (12.97 KB, patch)
2010-12-25 06:18 PST, Serge Gautherie (:sgautherie)
no flags Details | Diff | Review
(Dv1) testWebSocket4(): stop generating a 508 KiB log line from bug 562681 [Checked in: See comment 10] (2.07 KB, patch)
2010-12-25 08:57 PST, Serge Gautherie (:sgautherie)
bugs: review+
Details | Diff | Review
(Cv1a) Document/Improve code, somewhat [Moved to bug 744663] (13.45 KB, patch)
2010-12-29 23:53 PST, Serge Gautherie (:sgautherie)
no flags Details | Diff | Review

Description Serge Gautherie (:sgautherie) 2010-12-24 17:22:37 PST
Bug 574070 comment 16:
{{
Serge Gautherie (:sgautherie)      2010-11-18 21:28:27 PST

http://tinderbox.mozilla.org/showlog.cgi?log=SeaMonkey/1290134463.1290139655.3881.gz
WINNT 5.2 comm-central-trunk debug test mochitests-1/5 on 2010/11/18 18:41:03
{
...
31011 INFO TEST-PASS | /tests/content/base/test/test_ws_basic_tests.html |
Wrong message - "test message100" should equal "test message100"
31012 ERROR TEST-UNEXPECTED-FAIL |
/tests/content/base/test/test_ws_basic_tests.html | Test timed out.
31013 INFO TEST-END | /tests/content/base/test/test_ws_basic_tests.html |
finished in 354923ms
}

354.923 s +=- 360 s : this test can simply be to slow as is.
}}

***

Test has completed the expected 100 iterations of testWebSocket3 onmessage(),
but testWebSocket3 onclose() doesn't run :-(
Comment 1 Serge Gautherie (:sgautherie) 2010-12-25 02:42:17 PST
Created attachment 499709 [details] [diff] [review]
(Av1) s/ok/is/ typo fix from bug 562681
[Checked in: Comment 9]
Comment 2 Serge Gautherie (:sgautherie) 2010-12-25 03:03:12 PST
Created attachment 499710 [details] [diff] [review]
(Bv1) Add/Re-enable '.wasClean' checks from (bug 573227 ->) bug 572975
[Checked in: Comment 13]
Comment 3 Serge Gautherie (:sgautherie) 2010-12-25 06:18:51 PST
Created attachment 499715 [details] [diff] [review]
(Cv1) Document/Improve code, somewhat
Comment 4 Serge Gautherie (:sgautherie) 2010-12-25 08:57:49 PST
Created attachment 499724 [details] [diff] [review]
(Dv1) testWebSocket4(): stop generating a 508 KiB log line from bug 562681
[Checked in: See comment 10]

I wanted to check a SeaMonkey green run log, I found bug 621390 instead :-/

Let's fix this, then we'll see...
Comment 5 Olli Pettay [:smaug] 2010-12-26 23:19:32 PST
Um, somewhat unrelated patches in one bug :/
Comment 6 Olli Pettay [:smaug] 2010-12-26 23:25:52 PST
Comment on attachment 499710 [details] [diff] [review]
(Bv1) Add/Re-enable '.wasClean' checks from (bug 573227 ->) bug 572975
[Checked in: Comment 13]

Why you change the comments in the ok() checks?
Comment 7 Olli Pettay [:smaug] 2010-12-26 23:32:51 PST
Comment on attachment 499715 [details] [diff] [review]
(Cv1) Document/Improve code, somewhat

Kind of hard to see what is changed and why.
Will review a bit later.
Comment 8 Serge Gautherie (:sgautherie) 2010-12-27 01:56:46 PST
(In reply to comment #6)
> Why you change the comments in the ok() checks?

"Should have" should be implied by ok(), I think.
(Yet I'll use whatever comment you want.)
Comment 9 Serge Gautherie (:sgautherie) 2010-12-27 02:29:06 PST
Comment on attachment 499709 [details] [diff] [review]
(Av1) s/ok/is/ typo fix from bug 562681
[Checked in: Comment 9]

http://hg.mozilla.org/mozilla-central/rev/d14e3a26d5a0
Comment 10 Serge Gautherie (:sgautherie) 2010-12-29 23:36:31 PST
Comment on attachment 499724 [details] [diff] [review]
(Dv1) testWebSocket4(): stop generating a 508 KiB log line from bug 562681
[Checked in: See comment 10]

http://hg.mozilla.org/mozilla-central/rev/ec3e4786877d
Dv1, but applied before patches B and C.
Comment 11 Serge Gautherie (:sgautherie) 2010-12-29 23:53:52 PST
Created attachment 500318 [details] [diff] [review]
(Cv1a) Document/Improve code, somewhat
[Moved to bug 744663]

Cv1, unbitrotted.
Comment 12 Olli Pettay [:smaug] 2011-01-03 05:27:10 PST
Comment on attachment 499710 [details] [diff] [review]
(Bv1) Add/Re-enable '.wasClean' checks from (bug 573227 ->) bug 572975
[Checked in: Comment 13]

If this causes new random orange, please back out and
file bugs for those problems.
Comment 13 Serge Gautherie (:sgautherie) 2011-01-03 06:01:09 PST
Comment on attachment 499710 [details] [diff] [review]
(Bv1) Add/Re-enable '.wasClean' checks from (bug 573227 ->) bug 572975
[Checked in: Comment 13]

http://hg.mozilla.org/mozilla-central/rev/13adcde8f131
Comment 14 Olli Pettay [:smaug] 2011-05-11 02:39:35 PDT
Comment on attachment 500318 [details] [diff] [review]
(Cv1a) Document/Improve code, somewhat
[Moved to bug 744663]

Is this still needed?
Comment 15 Serge Gautherie (:sgautherie) 2012-04-11 17:38:29 PDT
Comment on attachment 500318 [details] [diff] [review]
(Cv1a) Document/Improve code, somewhat
[Moved to bug 744663]

(In reply to Olli Pettay [:smaug] from comment #14)
> Is this still needed?

Yes: "Bug 744663 Submitted".

Note You need to log in before you can comment on or make changes to this bug.